package com.artfess.bpm.plugin.task.startnewflow.entity;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "startconfig")

public class StartConfig implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@XmlAttribute(name = "name")
	protected String name;
	
	@XmlAttribute(name = "triggerAction")
	protected String triggerAction;

	
	@XmlAttribute(name = "userRule")
	protected String userRule;

	
	@XmlAttribute(name = "defName")
	protected String defName;

	
	@XmlAttribute(name = "defKey")
	protected String defKey;
	
	
	@XmlAttribute(name = "formVarConf")
	protected String formVarConf;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getTriggerAction() {
		return triggerAction;
	}

	public void setTriggerAction(String triggerAction) {
		this.triggerAction = triggerAction;
	}

	public String getUserRule() {
		return userRule;
	}

	public void setUserRule(String userRule) {
		this.userRule = userRule;
	}

	public String getDefName() {
		return defName;
	}

	public void setDefName(String defName) {
		this.defName = defName;
	}

	public String getDefKey() {
		return defKey;
	}

	public void setDefKey(String defKey) {
		this.defKey = defKey;
	}

	public String getFormVarConf() {
		return formVarConf;
	}

	public void setFormVarConf(String formVarConf) {
		this.formVarConf = formVarConf;
	}

}
